<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Charts</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        canvas {
            width: 100%;
            max-width: 1000px;
            height: 600px;
            max-height: 600px;
        }
    </style>
</head>
<body>
    <h1 style="font-size: 24px;">Graphique médailles par pays</h1>
    <canvas id="countriesChart" style="height: 500px;"></canvas>

    <h1 style="font-size: 24px;">Graphique médailles par athlète</h1>
    <canvas id="athletesChart" style="height: 500px;"></canvas>

    <h1>Graphique des médailles par sport et par pays</h1>
    <canvas id="sportsChart" style="height: 500px;"></canvas>

    <script>
        // Utilisez les données récupérées depuis votre backend pour les pays
        var countriesData = JSON.parse('<%- JSON.stringify(countriesData) %>');
        // Utilisez les données récupérées depuis votre backend pour les athlètes
        var athletesData = JSON.parse('<%- JSON.stringify(athletesData) %>');
        // Utilisez les données récupérées depuis votre backend pour les sports
        var sportsMedalsData = JSON.parse('<%- JSON.stringify(sportMedalsData) %>');

        // Préparez les données pour le graphique des pays
        const countryLabels = countriesData.map(country => country.name);
        const countryGoldMedals = countriesData.map(country => country.medals.gold);
        const countrySilverMedals = countriesData.map(country => country.medals.silver);
        const countryBronzeMedals = countriesData.map(country => country.medals.bronze);

        // Créez un nouveau graphique pour les pays
        const countriesCtx = document.getElementById('countriesChart').getContext('2d');
        const countriesChart = new Chart(countriesCtx, {
            type: 'bar',
            data: {
                labels: countryLabels,
                datasets: [{
                    label: 'Gold Medals',
                    data: countryGoldMedals,
                    backgroundColor: 'gold'
                }, {
                    label: 'Silver Medals',
                    data: countrySilverMedals,
                    backgroundColor: 'silver'
                }, {
                    label: 'Bronze Medals',
                    data: countryBronzeMedals,
                    backgroundColor: 'peru'
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });

        // Préparez les données pour le graphique des athlètes
        const athleteLabels = athletesData.map(athlete => athlete.name);
        const athleteMedalsCount = athletesData.map(athlete => athlete.medals);

        // Créez un nouveau graphique pour les athlètes
        const athletesCtx = document.getElementById('athletesChart').getContext('2d');
        const athletesChart = new Chart(athletesCtx, {
            type: 'bar',
            data: {
                labels: athleteLabels,
                datasets: [{
                    label: 'Nombre de médailles',
                    data: athleteMedalsCount,
                    backgroundColor: 'teal'
                }]
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });

        // Préparez les données pour le graphique des médailles par sport et par pays
const sportLabels = sportsMedalsData.map(sport => sport.name);
const countryNames = Object.keys(sportsMedalsData[0].medals);
const countryData = countryNames.map(country => ({
    label: country,
    data: sportsMedalsData.map(sport => sport.medals[country]?.total || 0),
    backgroundColor: 'rgba(' + Math.floor(Math.random() * 256) + ',' + Math.floor(Math.random() * 256) + ',' + Math.floor(Math.random() * 256) + ',0.7)'
}));


        // Créez un nouveau graphique pour les médailles par sport et par pays
        const sportsCtx = document.getElementById('sportsChart').getContext('2d');
        const sportsChart = new Chart(sportsCtx, {
            type: 'bar',
            data: {
                labels: sportLabels,
                datasets: countryData
            },
            options: {
                scales: {
                    x: {
                        stacked: true,
                        title: {
                            display: true,
                            text: 'Sports'
                        }
                    },
                    y: {
                        stacked: true,
                        title: {
                            display: true,
                            text: 'Nombre de Médailles'
                        }
                    }
                }
            }
        });
    </script>
</body>
</html>
